class c4_Row : public c4_RowRef
  An entry in a collection with copy semantics.

Public members
| c4_Row (); Construct a row with no properties
| c4_Row (const c4_RowRef& row_); Construct a row from another oneConstruct a row copy from a row reference
| c4_Row (const c4_RowRef& row_); Construct a row from another oneConstruct a row copy from a row reference
| ~c4_Row (); Destructor
c4_Row& | operator= (const c4_RowRef& row_); Assign a copy of another row to this oneCopy another row to this one
c4_Row& | operator= (const c4_RowRef& row_); Assign a copy of another row to this oneCopy another row to this one
void | ConcatRow (const c4_RowRef& row_); Add all properties and values into this row

Friends
friend c4_Row | operator+ (const c4_RowRef& a_, const c4_RowRef& b_); Return a new row which is the concatenation of two others

Header file | "mk4.h" -- Dec 9, 1999
See also | c4_Row
Derived from | c4_RowRef